Bug 653017 - Incorrect font rendering for Chinese text in Thunderbird mail text area
Summary: Incorrect font rendering for Chinese text in Thunderbird mail text area
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 14
Hardware: Unspecified
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 653018 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 05:24 UTC by Cong Ma
Modified: 2011-03-11 17:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-11 17:17:50 UTC
Type: ---


Attachments (Terms of Use)
Screenshot of the font inconsistency in message body when composing a new mail. Note that the subject area is not affected. (12.85 KB, image/png)
2010-11-14 05:27 UTC, Cong Ma
no flags Details

Description Cong Ma 2010-11-14 05:24:01 UTC
Description of problem:
For some reason I need to run the desktop under zh_CN.utf8 locale but Thunderbird under en_US.utf8.  When doing so, the mail text displayed in Thunderbird gets incorrect font rendering.  For all plain text mails, the Characters are displayed in a mixed fonts of WenQuanYi Zen Hei and AR PL UKai (see screenshot).  This affects all mail directories as well as the mail composition window, but the effect is limited to mail body text.  Subjects are not affected.

If Thunderbird is run under locale zh_CN.utf8, there's no inconsistency with mail body font.


Version-Release number of selected component (if applicable):
thunderbird-3.1.6-2.fc14.x86_64


How reproducible:
Always (under locale en_US.utf8)


Steps to Reproduce:
1.  Run Thunderbird with LC_ALL=en_US.utf8
2.  Read or compose plain text emails with Chinese characters

  
Actual results:
Chinese characters in message bodies are displayed in inconsistent fonts, greatly reducing readability. 


Expected results:
The fonts used should have been consistent.


Additional info:
This problem arises when the option "Use fixed width font for plain text messages" is selected.  This is my preferred setting, and the monospace font used is Nimbus Mono L.

I'm not sure whether this has anything to do with fontconfig.  I have not meddled with F14's default system-wide fontconfig settings.

Comment 1 Cong Ma 2010-11-14 05:26:50 UTC
*** Bug 653018 has been marked as a duplicate of this bug. ***

Comment 2 Cong Ma 2010-11-14 05:27:58 UTC
Created attachment 460311 [details]
Screenshot of the font inconsistency in message body when composing a new mail.  Note that the subject area is not affected.

Comment 3 Chris Campbell 2011-02-03 15:56:09 UTC
Reporter, sorry for the long delay of response. Is this still an issue with a completely updated system? If so, I will mark this triaged and assign it to the developer.





-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Chris Campbell 2011-03-11 17:17:50 UTC
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.